Upstream information

CVE-2004-0078 at MITRE

Description

Buffer overflow in the index menu code (menu_pad_string of menu.c) for Mutt 1.4.1 and earlier allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via certain mail messages.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 49470 [RESOLVED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SuSE Linux Desktop 1.0
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • mutt >= 1.4i-312
slox4,2.x86
ul1.x86-64
ul1.ppc
ul1.s390
ul1.ia64
ul1.s390x
YOU Patch Nr: 8818
SuSE Linux Enterprise Server 8 for IPF
UnitedLinux 1.0
  • mutt >= 1.4i-202
slox4,2.x86
ul1.x86-64
ul1.ppc
ul1.s390
ul1.ia64
ul1.s390x
YOU Patch Nr: 8818
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
  • mutt >= 1.4i-154
slox4,2.x86
ul1.x86-64
ul1.ppc
ul1.s390
ul1.ia64
ul1.s390x
YOU Patch Nr: 8818
SuSE Linux Enterprise Server 8 for IBM zSeries
  • mutt >= 1.4i-124
slox4,2.x86
ul1.x86-64
ul1.ppc
ul1.s390
ul1.ia64
ul1.s390x
YOU Patch Nr: 8818
SuSE Linux Enterprise Server 8 for AMD64
UnitedLinux 1.0
  • mutt >= 1.4i-316
slox4,2.x86
ul1.x86-64
ul1.ppc
ul1.s390
ul1.ia64
ul1.s390x
YOU Patch Nr: 8818